package dmcs.pl;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

public class FirstActivity extends Activity 
	implements OnClickListener {
    /** Called when the activity is first created. */
	
	TextView text;
	final int RUN_ACTIVITY_2 = 1;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        Log.d( "FirstActivity:onCreate()", "create" );
        
        text = (TextView) findViewById( R.id.text );
        text.setText( getString( R.string.msg1 ) );
        
        Button btn = (Button) findViewById( R.id.button1 );
        btn.setOnClickListener( this );
        ((Button) findViewById( R.id.button2 )).setOnClickListener( this );
        ((Button) findViewById( R.id.button3 )).setOnClickListener( this );
        ((Button) findViewById( R.id.button4 )).setOnClickListener( this );
        ((Button) findViewById( R.id.button5 )).setOnClickListener( this );
        ((Button) findViewById( R.id.button6 )).setOnClickListener( this );
    }
    
	@Override
	public void onClick(View v) {
		
		Intent intent;
		switch( v.getId() )
		{
		case R.id.button1:
			intent = new Intent( Intent.ACTION_DIAL );
			intent.setData(Uri.parse("tel:1234"));
			startActivity(intent);
			break;
		case R.id.button2:
			intent = new Intent( Intent.ACTION_CALL );
			intent.setData(Uri.parse("tel:1234"));
			startActivity(intent);
			break;
		case R.id.button3:
			intent = new Intent( Intent.ACTION_SEND );
			intent.setType( "text/plain" );
			intent.putExtra( Intent.EXTRA_SUBJECT, getString( R.string.send_subject ) );
			intent.putExtra( Intent.EXTRA_TEXT   , getString( R.string.send_body ) );
			try 
			{
			    startActivity( Intent.createChooser( intent, 
			    									 getString( R.string.send_question ) ) );
			} 
			catch ( android.content.ActivityNotFoundException e ) 
			{
			    Toast.makeText( this, getString( R.string.send_error ), 
			    		        Toast.LENGTH_SHORT ).show();
			}
			break;
		case R.id.button4:
			intent = new Intent( this, SecondActivity.class );
			startActivity(intent);
			break;
		case R.id.button5:
			intent = new Intent( this, SecondActivity.class );
			Bundle bundle = new Bundle();
			bundle.putString( "imie", "Ola" );
			bundle.putInt( "nr", 5555 );
			intent.putExtras( bundle );
			startActivityForResult(intent, RUN_ACTIVITY_2 );
			break;
		case R.id.button6:
			intent = new Intent( this, ThirdActivity.class );
			startActivity(intent);
			break;
		default:
			Log.d( "FirstActivity:onClick", "Brak obsługi sygnału" );
		}
	}
	
	protected void onActivityResult( int request, int code, Intent intent )
	{
		Log.d( "FirstActivity:onActivityResult", "request: " + request + ", code: " + code );
		if( request == RUN_ACTIVITY_2 )
		{
			String info = new String( "code: " + code );
			Toast.makeText(this, info, Toast.LENGTH_LONG).show();
		}
	}
	
	public void onStart() 
	{
		super.onStart();
		Log.d( "FirstActivity:onStart()", "start" );
	}
	
	public void onStop()
	{
		Log.d( "FirstActivity:onStop()", "stop" );
		super.onStop();
	}
	
	public void onPause()
	{
		Log.d( "FirstActivity:onPause()", "pause" );
		super.onPause();
	}
	
	public void onResume()
	{
		super.onResume();
		Log.d( "FirstActivity:onResume()", "resume" );
	}

}


