package dmcs.pl;

import java.io.InputStream;
import java.net.URL;

import android.app.Activity;
import android.app.ProgressDialog;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.widget.ImageView;
import android.widget.TextView;

public class SecondActivity extends Activity 
{
    /** Called when the activity is first created. */
	
	TextView text;
	ImageView img;
	Bitmap bitmap;
	ProgressDialog pd;
	Handler handler = new Handler();
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.second);
        Log.d( "SecondActivity:onCreate()", "create" );
        
        text = (TextView) findViewById( R.id.text );
        text.setText( R.string.hello2 );
        
        img = (ImageView) findViewById( R.id.img );
        
        Bundle bundle = getIntent().getExtras();
        if( bundle != null )
        {
	        String imie = bundle.getString( "imie" );
	        int nr = bundle.getInt( "nr" );
	        text.setText( getString( R.string.msg2a) + imie + 
	        			  getString( R.string.msg2b) + nr );
	        setResult(RESULT_OK);
        }
        else
        {
        	pd = ProgressDialog.show( this, getString( R.string.dialog_title), 
        							  getString( R.string.dialog_body) + 
        							  getString( R.string.url), true, false );
        	runThread();
        	setResult(RESULT_FIRST_USER);        	        	
        }
        Log.d( "SecondActivty:onCreate", "exit from onCreate" );
    }
    
    private void runThread()
    {
    	new Thread( new Runnable() {
			
			@Override
			public void run() {
				try {
					Log.d( "SecondActivty:onCreate", "start new task" );
					URL url = new URL( getString( R.string.url ) );
					InputStream in = url.openStream();
					bitmap = BitmapFactory.decodeStream( in );
					handler.post( new Runnable() {						
						@Override
						public void run() {
							img.setImageBitmap( bitmap );
							pd.dismiss();
						}
					});
				} catch (Exception e) {
					Log.d( "SecondActivity:onCreate", "Exception: " + e.toString() );
					e.printStackTrace();
				}
				Log.d( "SecondActivty:onCreate", "end task" );
			}
		}).start();
    }
 	
	public void onStart() 
	{
		super.onStart();
		Log.d( "SecondActivity:onStart()", "start" );
	}
	
	public void onStop()
	{
		Log.d( "SecondActivity:onStop()", "stop" );
		super.onStop();
	}
	
	public void onPause()
	{
		Log.d( "SecondActivity:onPause()", "pause" );
		super.onPause();
	}
	
	public void onResume()
	{
		super.onResume();
		Log.d( "SecondActivity:onResume()", "resume" );
	}

}


