package dmcs.pl;

import android.app.Activity;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

public class ThirdActivity extends Activity 
	implements LocationListener, SensorEventListener {
    /** Called when the activity is first created. */
	
	TextView info;
	TextView gps_x;
	TextView gps_y;
	TextView acc_x;
	TextView acc_y;
	TextView acc_z;
	LocationManager gps_manager;
	SensorManager sensor_manager;
	final int RUN_ACTIVITY_2 = 1;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.third);
        Log.d( "ThirdActivity:onCreate()", "create" );
        
        info = (TextView) findViewById( R.id.info );
        gps_x = (TextView) findViewById( R.id.gps_x );
        gps_y = (TextView) findViewById( R.id.gps_y );
        acc_x = (TextView) findViewById( R.id.acc_x );
        acc_y = (TextView) findViewById( R.id.acc_y );
        acc_z = (TextView) findViewById( R.id.acc_z );
        
        gps_manager = (LocationManager) getSystemService(LOCATION_SERVICE);
        sensor_manager = (SensorManager)getSystemService(SENSOR_SERVICE);

    }
    
	public void onStart() 
	{
		super.onStart();
		Log.d( "ThirdActivity:onStart()", "start" );
	}
	
	public void onStop()
	{
		Log.d( "ThirdActivity:onStop()", "stop" );
		super.onStop();
	}
	
	public void onPause()
	{
		Log.d( "ThirdActivity:onPause()", "pause" );
		gps_manager.removeUpdates( this );
		sensor_manager.unregisterListener( this );
		super.onPause();
	}
	
	public void onResume()
	{
		super.onResume();
		Log.d( "ThirdActivity:onResume()", "resume" );
		gps_manager.requestLocationUpdates(LocationManager.GPS_PROVIDER, 0, 0, this );
		sensor_manager.registerListener(this, sensor_manager.getDefaultSensor(Sensor.TYPE_ACCELEROMETER), 
				SensorManager.SENSOR_DELAY_NORMAL);
	}

	@Override
	public void onLocationChanged(Location location) {
		Log.d("ThirdActivity:onLocatationChanged", "zmiana x i y" );
		gps_x.setText( Double.toString( location.getLatitude() ) );
		gps_y.setText( Double.toString( location.getLongitude() ) );
	}

	@Override
	public void onProviderDisabled(String provider) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onProviderEnabled(String provider) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onStatusChanged(String provider, int status, Bundle extras) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onAccuracyChanged(Sensor sensor, int accuracy) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onSensorChanged(SensorEvent event) {
		acc_x.setText( Float.toString( event.values[0]) );
		acc_y.setText( Float.toString( event.values[1]) );
		acc_z.setText( Float.toString( event.values[2]) );
	}

}


